
.station-map {
    position: relative;
    height: auto;
}

.station-map .map-canvas {
    height: 156px;
    border-top: 1px solid #131E29;
}

.station-map .map-info-station, .station-map .map-info-general {
    position: relative;
    top: 6%;
    width: 100%;
}

    .station-map .map-info-station .primary h2, .station-map .map-info-general .primary h2 {
        font-size: 16px;
        line-height: 16px;
        font-weight: 400;
        margin: 0 0 10px 0;
        color: #fff;
    }

    .station-map .map-info-station .primary pre, .station-map .map-info-general .primary pre {
        font-size: 14px;
        font-weight: 300;
        line-height: 21px;
        margin: 0;
    }

    .station-map .map-info-station .primary .icon-rail_logo:before, .station-map .map-info-general .primary .icon-rail_logo:before {
        margin-right: 5px;
    }

    .station-map .map-info-station .secondary, .station-map .map-info-general .secondary {
        color: #131E29;
        background-color: #fff;
        padding: 20px 20px;
        font-size: 14px;
    }

@media (min-width:64.0625em) {
        .station-map {
            height: 484px;
        }

        .station-map .map-canvas {
            height: 100%;
        }

        .station-map .map-info-station, .station-map .map-info-general {
            position: absolute;
            width: 330px;
            max-height: 88%;
            box-shadow: 0px 0px 5px 3px rgba(0,0,0,0.2);
        }

        .station-map .map-info-station .primary h2, .station-map .map-info-general .primary h2 {
            font-size: 24px;
            line-height: 24px;
            font-weight: 500;
            margin: 0 0 18px 0;
        }

        .station-map .map-info-station .primary pre, .station-map .map-info-general .primary pre {
            font-size: 14px;
            font-weight: 400;
            line-height: 20px;
        }

        .station-map .map-info-station .primary .icon-rail_logo:before, .station-map .map-info-general .primary .icon-rail_logo:before {
            margin-right: 10px;
        }

        .station-map .map-info-station .secondary, .station-map .map-info-general .secondary {
            padding: 20px 20px;
        }
}

